Subject: Re: [PATCH] Change permissions on git-completion.bash

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Wed, 04 Apr 2018 22:21:13 +0200

On Wed, Apr 04 2018, Stephon Harris wrote:

> Updating git-completion.bash to include instructions to change the
> permissions on the file when sourcing it in your .bashrc or .zshrc
> file.

But why is this needed? Files sourced by shells don't need to be
executable, and quoting the bash manual "The file searched for in PATH
need not be executable.".

What breaks for you / doesn't work because it doesn't have the +x bit?